Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ifs_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ifs_rrtm.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_ifs_rrtm.F90	(revision 5158)
@@ -362,6 +362,6 @@
 !    end if
 
-    do jlev=1,nlev
-      do jcol= istartcol,iendcol
+    DO jlev=1,nlev
+      DO jcol= istartcol,iendcol
         pressure_fl(jcol,jlev) &
             &  = 0.5_jprb * (thermodynamics%pressure_hl(jcol,jlev+istartlev-1) &
@@ -461,11 +461,11 @@
       ! arrays have dimensions in a different order to the inputs,
       ! so there is some inefficiency here.
-      do jgreorder = 1,config%n_g_lw
+      DO jgreorder = 1,config%n_g_lw
         iband = config%i_band_from_reordered_g_lw(jgreorder)
         ig = config%i_g_from_reordered_g_lw(jgreorder)
         
         ! Top-of-atmosphere half level
-        do jlev = 1,nlev
-          do jcol = istartcol,iendcol
+        DO jlev = 1,nlev
+          DO jcol = istartcol,iendcol
             ! Some g points can return negative optical depths;
             ! specifically original g points 54-56 which causes
@@ -479,6 +479,6 @@
     else
       ! G points have not been reordered 
-      do jcol = istartcol,iendcol
-        do jlev = 1,nlev
+      DO jcol = istartcol,iendcol
+        DO jlev = 1,nlev
           ! Check for negative optical depth
           od_lw(:,jlev,jcol) = max(config%min_gas_od_lw, ZOD_LW(:,nlev+1-jlev,jcol))
@@ -515,6 +515,6 @@
     ! Scale the incoming solar per band, if requested
     if (config%use_spectral_solar_scaling) then
-      do jg = 1,JPGPT_SW
-        do jcol = istartcol,iendcol 
+      DO jg = 1,JPGPT_SW
+        DO jcol = istartcol,iendcol
           ZINCSOL(jcol,jg) = ZINCSOL(jcol,jg) * &
             &   single_level%spectral_solar_scaling(config%i_band_from_reordered_g_sw(jg))
@@ -527,5 +527,5 @@
     ! ZINCSOL will be zero.
     if (present(incoming_sw)) then
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         if (single_level%cos_sza(jcol) > 0.0_jprb) then
 ! Added for DWD (2020)
@@ -541,8 +541,8 @@
 !    if (.true.) then
       ! Account for reordered g points
-      do jgreorder = 1,config%n_g_sw
+      DO jgreorder = 1,config%n_g_sw
         ig = config%i_g_from_reordered_g_sw(jgreorder)
-        do jlev = 1,nlev
-          do jcol = istartcol,iendcol
+        DO jlev = 1,nlev
+          DO jcol = istartcol,iendcol
             ! Check for negative optical depth
             od_sw (jgreorder,nlev+1-jlev,jcol) &
@@ -558,7 +558,7 @@
     else
       ! G points have not been reordered
-      do jcol = istartcol,iendcol
-        do jlev = 1,nlev
-          do jg = 1,config%n_g_sw
+      DO jcol = istartcol,iendcol
+        DO jlev = 1,nlev
+          DO jg = 1,config%n_g_sw
             ! Check for negative optical depth
             od_sw (jg,nlev+1-jlev,jcol) = max(config%min_gas_od_sw, ZOD_SW(jcol,jlev,jg))
@@ -567,5 +567,5 @@
         end do
         if (present(incoming_sw)) then
-          do jg = 1,config%n_g_sw
+          DO jg = 1,config%n_g_sw
             incoming_sw(jg,jcol) = incoming_sw_scale(jcol) * ZINCSOL(jcol,jg)
           end do
@@ -636,6 +636,6 @@
     ! lowest interpolation bound, and the fraction into interpolation
     ! interval
-    do jlev = 1,nlev+1
-      do jcol = istartcol,iendcol
+    DO jlev = 1,nlev+1
+      DO jcol = istartcol,iendcol
         temperature = thermodynamics%temperature_hl(jcol,jlev+ilevoffset)
         if (temperature < 339.0_jprb .and. temperature >= 160.0_jprb) then
@@ -656,7 +656,7 @@
 
       ! Calculate Planck functions per band
-      do jband = 1,config%n_bands_lw
+      DO jband = 1,config%n_bands_lw
         factor = zfluxfac * delwave(jband)
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           planck_store(jcol,jband) = factor &
                &  * (totplnk(ind(jcol),jband) &
@@ -675,5 +675,5 @@
           ! Top-of-atmosphere half level - note that PFRAC is on model
           ! levels not half levels
-          do jgreorder = 1,config%n_g_lw
+          DO jgreorder = 1,config%n_g_lw
             iband = config%i_band_from_reordered_g_lw(jgreorder)
             ig = config%i_g_from_reordered_g_lw(jgreorder)
@@ -682,5 +682,5 @@
           end do
         else
-          do jgreorder = 1,config%n_g_lw
+          DO jgreorder = 1,config%n_g_lw
             iband = config%i_band_from_reordered_g_lw(jgreorder)
             ig = config%i_g_from_reordered_g_lw(jgreorder)
@@ -695,14 +695,14 @@
           ! Top-of-atmosphere half level - note that PFRAC is on model
           ! levels not half levels
-          do jg = 1,config%n_g_lw
+          DO jg = 1,config%n_g_lw
             iband = config%i_band_from_g_lw(jg)
             planck_hl(jg,1,:) = planck_store(:,iband) * PFRAC(:,jg,nlev)
           end do
         else
-          do jg = 1,config%n_g_lw
+          DO jg = 1,config%n_g_lw
             iband = config%i_band_from_g_lw(jg)
             planck_tmp(:,jg) = planck_store(:,iband) * PFRAC(:,jg,nlev+2-jlev)
           end do
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             planck_hl(:,jlev,jcol) = planck_tmp(jcol,:)
           end do
@@ -763,5 +763,5 @@
 
     ! Work out surface interpolations
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       Tsurf = temperature(jcol)
       if (Tsurf < 339.0_jprb .and. Tsurf >= 160.0_jprb) then
@@ -782,7 +782,7 @@
 
     ! Calculate Planck functions per band
-    do jband = 1,config%n_bands_lw
+    DO jband = 1,config%n_bands_lw
       factor = zfluxfac * delwave(jband)
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         planck_store(jcol,jband) = factor &
              &  * (totplnk(ind(jcol),jband) &
@@ -798,5 +798,5 @@
       ! in pressure since the the functions above treat pressure
       ! decreasing with increasing index.
-      do jgreorder = 1,config%n_g_lw
+      DO jgreorder = 1,config%n_g_lw
         iband = config%i_band_from_reordered_g_lw(jgreorder)
         ig = config%i_g_from_reordered_g_lw(jgreorder)
@@ -805,5 +805,5 @@
     else
       ! G points have not been reordered 
-      do jg = 1,config%n_g_lw
+      DO jg = 1,config%n_g_lw
         iband = config%i_band_from_g_lw(jg)
         planck_surf(jg,:) = planck_store(:,iband) * PFRAC(:,jg)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_liquid_optics_socrates.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_liquid_optics_socrates.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_liquid_optics_socrates.F90	(revision 5158)
@@ -65,5 +65,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jb = 1, nb
+    DO jb = 1, nb
       od(jb) = lwp * (coeff(jb,1) + re*(coeff(jb,2) + re*coeff(jb,3))) &
          &  / (1.0_jprb + re*(coeff(jb,4) + re*(coeff(jb,5) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_lw_derivatives.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_lw_derivatives.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_lw_derivatives.F90	(revision 5158)
@@ -73,5 +73,5 @@
     ! Move up through the atmosphere computing the derivatives at each
     ! half-level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       lw_derivatives_g = lw_derivatives_g * transmittance(:,jlev)
       lw_derivatives(icol,jlev) = sum(lw_derivatives_g)
@@ -121,5 +121,5 @@
     ! Move up through the atmosphere computing the derivatives at each
     ! half-level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       lw_derivatives_g = lw_derivatives_g * transmittance(:,jlev)
       lw_derivatives(icol,jlev) = (1.0_jprb - weight) * lw_derivatives(icol,jlev) &
@@ -176,5 +176,5 @@
     ! Move up through the atmosphere computing the derivatives at each
     ! half-level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Compute effect of overlap at half-level jlev+1, yielding
       ! derivatives just above that half-level
@@ -238,5 +238,5 @@
     ! Move up through the atmosphere computing the derivatives at each
     ! half-level
-    do jlev = nlev,1,-1
+    DO jlev = nlev,1,-1
       ! Compute effect of overlap at half-level jlev+1, yielding
       ! derivatives just above that half-level
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_matrix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_matrix.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_matrix.F90	(revision 5158)
@@ -90,6 +90,6 @@
       mat_x_vec(1:iend,1) = A(1:iend,1,1)*b(1:iend,1)
     else
-      do j1 = 1,m
-        do j2 = 1,m
+      DO j1 = 1,m
+        DO j2 = 1,m
           mat_x_vec(1:iend,j1) = mat_x_vec(1:iend,j1) &
                &               + A(1:iend,j1,j2)*b(1:iend,j2)
@@ -124,6 +124,6 @@
     singlemat_x_vec = 0.0_jprb
 
-    do j1 = 1,m
-      do j2 = 1,m
+    DO j1 = 1,m
+      DO j2 = 1,m
         singlemat_x_vec(1:iend,j1) = singlemat_x_vec(1:iend,j1) &
              &                    + A(j1,j2)*b(1:iend,j2)
@@ -175,7 +175,7 @@
       m2block = 2*mblock 
       ! Do the top-left (C, D, F, G)
-      do j2 = 1,m2block
-        do j1 = 1,m2block
-          do j3 = 1,m2block
+      DO j2 = 1,m2block
+        DO j1 = 1,m2block
+          DO j3 = 1,m2block
             mat_x_mat(1:iend,j1,j2) = mat_x_mat(1:iend,j1,j2) &
                  &                  + A(1:iend,j1,j3)*B(1:iend,j3,j2)
@@ -183,8 +183,8 @@
         end do
       end do
-      do j2 = m2block+1,m
+      DO j2 = m2block+1,m
         ! Do the top-right (E & H)
-        do j1 = 1,m2block
-          do j3 = 1,m
+        DO j1 = 1,m2block
+          DO j3 = 1,m
             mat_x_mat(1:iend,j1,j2) = mat_x_mat(1:iend,j1,j2) &
                  &                  + A(1:iend,j1,j3)*B(1:iend,j3,j2)
@@ -192,6 +192,6 @@
         end do
         ! Do the bottom-right (I)
-        do j1 = m2block+1,m
-          do j3 = m2block+1,m
+        DO j1 = m2block+1,m
+          DO j3 = m2block+1,m
             mat_x_mat(1:iend,j1,j2) = mat_x_mat(1:iend,j1,j2) &
                  &                  + A(1:iend,j1,j3)*B(1:iend,j3,j2)
@@ -201,7 +201,7 @@
     else
       ! Ordinary dense matrix
-      do j2 = 1,m
-        do j1 = 1,m
-          do j3 = 1,m
+      DO j2 = 1,m
+        DO j1 = 1,m
+          DO j3 = 1,m
             mat_x_mat(1:iend,j1,j2) = mat_x_mat(1:iend,j1,j2) &
                  &                  + A(1:iend,j1,j3)*B(1:iend,j3,j2)
@@ -237,7 +237,7 @@
     singlemat_x_mat = 0.0_jprb
 
-    do j2 = 1,m
-      do j1 = 1,m
-        do j3 = 1,m
+    DO j2 = 1,m
+      DO j1 = 1,m
+        DO j3 = 1,m
           singlemat_x_mat(1:iend,j1,j2) = singlemat_x_mat(1:iend,j1,j2) &
                &                        + A(j1,j3)*B(1:iend,j3,j2)
@@ -272,7 +272,7 @@
     mat_x_singlemat = 0.0_jprb
 
-    do j2 = 1,m
-      do j1 = 1,m
-        do j3 = 1,m
+    DO j2 = 1,m
+      DO j1 = 1,m
+        DO j3 = 1,m
           mat_x_singlemat(1:iend,j1,j2) = mat_x_singlemat(1:iend,j1,j2) &
                &                        + A(1:iend,j1,j3)*B(j3,j2)
@@ -310,5 +310,5 @@
 
     identity_minus_mat_x_mat = - identity_minus_mat_x_mat
-    do j = 1,m
+    DO j = 1,m
       identity_minus_mat_x_mat(1:iend,j,j) &
            &     = 1.0_jprb + identity_minus_mat_x_mat(1:iend,j,j)
@@ -348,10 +348,10 @@
       mblock = m/3
       m2block = 2*mblock
-      do j4 = 1,nrepeat
+      DO j4 = 1,nrepeat
         repeated_square = 0.0_jprb
         ! Do the top-left (C, D, F & G)
-        do j2 = 1,m2block
-          do j1 = 1,m2block
-            do j3 = 1,m2block
+        DO j2 = 1,m2block
+          DO j1 = 1,m2block
+            DO j3 = 1,m2block
               repeated_square(j1,j2) = repeated_square(j1,j2) &
                    &                 + A(j1,j3)*A(j3,j2)
@@ -359,8 +359,8 @@
           end do
         end do
-        do j2 = m2block+1, m
+        DO j2 = m2block+1, m
           ! Do the top-right (E & H)
-          do j1 = 1,m2block
-            do j3 = 1,m
+          DO j1 = 1,m2block
+            DO j3 = 1,m
               repeated_square(j1,j2) = repeated_square(j1,j2) &
                    &                 + A(j1,j3)*A(j3,j2)
@@ -368,6 +368,6 @@
           end do
           ! Do the bottom-right (I)
-          do j1 = m2block+1, m
-            do j3 = m2block+1,m
+          DO j1 = m2block+1, m
+            DO j3 = m2block+1,m
               repeated_square(j1,j2) = repeated_square(j1,j2) &
                    &                 + A(j1,j3)*A(j3,j2)
@@ -381,9 +381,9 @@
     else
       ! Ordinary dense matrix
-      do j4 = 1,nrepeat
+      DO j4 = 1,nrepeat
         repeated_square = 0.0_jprb
-        do j2 = 1,m
-          do j1 = 1,m
-            do j3 = 1,m
+        DO j2 = 1,m
+          DO j1 = 1,m
+            DO j3 = 1,m
               repeated_square(j1,j2) = repeated_square(j1,j2) &
                    &                 + A(j1,j3)*A(j3,j2)
@@ -521,5 +521,5 @@
     U33 = A(1:iend,3,3) - L31*A(1:iend,1,3) - L32*U23
 
-    do j = 1,3
+    DO j = 1,3
       ! Solve Ly = B(:,:,j) by forward substitution
       ! y1 = B(:,1,j)
@@ -621,15 +621,15 @@
     LU(1:iend,1:m,1:m) = A(1:iend,1:m,1:m)
 
-    do j2 = 1, m
-      do j1 = 1, j2-1
+    DO j2 = 1, m
+      DO j1 = 1, j2-1
         s = LU(1:iend,j1,j2)
-        do j3 = 1, j1-1
+        DO j3 = 1, j1-1
           s = s - LU(1:iend,j1,j3) * LU(1:iend,j3,j2)
         end do
         LU(1:iend,j1,j2) = s
       end do
-      do j1 = j2, m
+      DO j1 = j2, m
         s = LU(1:iend,j1,j2)
-        do j3 = 1, j2-1
+        DO j3 = 1, j2-1
           s = s - LU(1:iend,j1,j3) * LU(1:iend,j3,j2)
         end do
@@ -638,5 +638,5 @@
       if (j2 /= m) then
         s = 1.0_jprb / LU(1:iend,j2,j2)
-        do j1 = j2+1, m
+        DO j1 = j2+1, m
           LU(1:iend,j1,j2) = LU(1:iend,j1,j2) * s
         end do
@@ -663,12 +663,12 @@
 
     ! First solve Ly=b
-    do j2 = 2, m
-      do j1 = 1, j2-1
+    DO j2 = 2, m
+      DO j1 = 1, j2-1
         x(1:iend,j2) = x(1:iend,j2) - x(1:iend,j1)*LU(1:iend,j2,j1)
       end do
     end do
     ! Now solve Ux=y
-    do j2 = m, 1, -1
-      do j1 = j2+1, m
+    DO j2 = m, 1, -1
+      DO j1 = j2+1, m
         x(1:iend,j2) = x(1:iend,j2) - x(1:iend,j1)*LU(1:iend,j2,j1)
       end do
@@ -694,5 +694,5 @@
     call lu_factorization(n,iend,m,A,LU)
 
-    do j = 1, m
+    DO j = 1, m
       call lu_substitution(n,iend,m,LU,B(1:,1:m,j),X(1:iend,1:m,j))
 !      call lu_substitution(n,iend,m,LU,B(1:n,1:m,j),X(1:iend,1:m,j))
@@ -807,12 +807,12 @@
 
     ! Compute the 1-norms of A
-    do j3 = 1,m
+    DO j3 = 1,m
       sum_column(:) = 0.0_jprb
-      do j2 = 1,m
-        do j1 = 1,iend
+      DO j2 = 1,m
+        DO j1 = 1,iend
           sum_column(j1) = sum_column(j1) + abs(A(j1,j2,j3))
         end do
       end do
-      do j1 = 1,iend
+      DO j1 = 1,iend
         if (sum_column(j1) > normA(j1)) then
           normA(j1) = sum_column(j1)
@@ -833,6 +833,6 @@
     ! Scale the input matrices by a power of 2
     scaling = 2.0_jprb**(-expo)
-    do j3 = 1,m
-      do j2 = 1,m
+    DO j3 = 1,m
+      DO j2 = 1,m
         A(1:iend,j2,j3) = A(1:iend,j2,j3) * scaling
       end do
@@ -844,5 +844,5 @@
 
     V = c(8)*A6 + c(6)*A4 + c(4)*A2
-    do j3 = 1,m
+    DO j3 = 1,m
       V(:,j3,j3) = V(:,j3,j3) + c(2)
     end do
@@ -850,5 +850,5 @@
     V = c(7)*A6 + c(5)*A4 + c(3)*A2
     ! Add a multiple of the identity matrix
-    do j3 = 1,m
+    DO j3 = 1,m
       V(:,j3,j3) = V(:,j3,j3) + c(1)
     end do
@@ -859,10 +859,10 @@
 
     ! Add the identity matrix
-    do j3 = 1,m
+    DO j3 = 1,m
       A(1:iend,j3,j3) = A(1:iend,j3,j3) + 1.0_jprb
     end do
 
     ! Loop through the matrices
-    do j1 = 1,iend
+    DO j1 = 1,iend
       if (expo(j1) > 0) then
         ! Square matrix j1 expo(j1) times          
@@ -983,6 +983,6 @@
 
     ! Compute V * diag_rdivide_V
-    do j1 = 1,3
-      do j2 = 1,3
+    DO j1 = 1,3
+      DO j2 = 1,3
         R(1:iend,j2,j1) = V(1:iend,j2,1)*diag_rdivide_V(1:iend,1,j1) &
              &          + V(1:iend,j2,2)*diag_rdivide_V(1:iend,2,j1) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_lw.F90	(revision 5158)
@@ -150,5 +150,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       ! Clear-sky calculation
@@ -156,5 +156,5 @@
         ! Scattering case: first compute clear-sky reflectance,
         ! transmittance etc at each model level
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           call calc_two_stream_gammas_lw(ng, ssa(:,jlev,jcol), g(:,jlev,jcol), &
                &  gamma1, gamma2)
@@ -174,5 +174,5 @@
         ! Non-scattering case: use simpler functions for
         ! transmission and emission
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           call calc_no_scattering_transmittance_lw(ng, od(:,jlev,jcol), &
                &  planck_hl(:,jlev,jcol), planck_hl(:,jlev+1, jcol), &
@@ -215,5 +215,5 @@
         is_clear_sky_layer = .true.
         i_cloud_top = nlev+1
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           ! Compute combined gas+aerosol+cloud optical properties
           if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
@@ -224,5 +224,5 @@
             end if
 
-            do jg = 1,ng
+            DO jg = 1,ng
               od_cloud_new(jg) = od_scaling(jg,jlev) &
                  &  * od_cloud(config%i_band_from_reordered_g_lw(jg),jlev,jcol)
@@ -240,5 +240,5 @@
                 ! case that od_total > 0.0 and ssa_total > 0.0 but
                 ! od_total*ssa_total == 0 due to underflow
-                do jg = 1,ng
+                DO jg = 1,ng
                   if (od_total(jg) > 0.0_jprb) then
                     scat_od_total(jg) = ssa(jg,jlev,jcol)*od(jg,jlev,jcol) &
@@ -259,5 +259,5 @@
               else
 
-                do jg = 1,ng
+                DO jg = 1,ng
                   if (od_total(jg) > 0.0_jprb) then
                     scat_od = ssa_cloud(config%i_band_from_reordered_g_lw(jg),jlev,jcol) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_mcica_sw.F90	(revision 5158)
@@ -142,5 +142,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ! Only perform calculation if sun above the horizon
       if (single_level%cos_sza(jcol) > 0.0_jprb) then
@@ -152,5 +152,5 @@
           ! Delta-Eddington scaling has already been performed to the
           ! aerosol part of od, ssa and g
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             call calc_two_stream_gammas_sw(ng, &
                  &  cos_sza, ssa(:,jlev,jcol), g(:,jlev,jcol), &
@@ -165,5 +165,5 @@
         else
           ! Apply delta-Eddington scaling to the aerosol-gas mixture
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             od_total  =  od(:,jlev,jcol)
             ssa_total = ssa(:,jlev,jcol)
@@ -219,8 +219,8 @@
         if (total_cloud_cover >= config%cloud_fraction_threshold) then
           ! Total-sky calculation
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             ! Compute combined gas+aerosol+cloud optical properties
             if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
-              do jg = 1,ng
+              DO jg = 1,ng
                 od_cloud_new(jg) = od_scaling(jg,jlev) &
                    &  * od_cloud(config%i_band_from_reordered_g_sw(jg),jlev,jcol)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_monochromatic.F90	(revision 5158)
@@ -164,5 +164,5 @@
     integer :: jlev
 
-    do jlev = 1,nlev
+    DO jlev = 1,nlev
       ! The fraction of the total optical depth in the current layer
       ! is proportional to the fraction of the mass of the atmosphere
@@ -192,5 +192,5 @@
              &  = StefanBoltzmann * single_level%skin_temperature(istartcol:iendcol)**4 &
              &  * single_level%lw_emissivity(istartcol:iendcol,1)
-        do jlev = 1,nlev+1
+        DO jlev = 1,nlev+1
           planck_hl(1,jlev,istartcol:iendcol) = StefanBoltzmann * thermodynamics%temperature_hl(istartcol:iendcol,jlev)**4
         end do
@@ -200,5 +200,5 @@
              &             single_level%skin_temperature(istartcol:iendcol)) &
              &  * single_level%lw_emissivity(istartcol:iendcol,1)
-        do jlev = 1,nlev+1
+        DO jlev = 1,nlev+1
           planck_hl(1,jlev,istartcol:iendcol) = Pi*planck_function(config%mono_lw_wavelength, &
                &             thermodynamics%temperature_hl(istartcol:iendcol,jlev))
@@ -261,6 +261,6 @@
     ! Convert cloud mixing ratio into liquid and ice water path
     ! in each layer
-    do jlev = 1, nlev
-      do jcol = istartcol, iendcol
+    DO jlev = 1, nlev
+      DO jcol = istartcol, iendcol
         ! Factor to convert from gridbox-mean mass mixing ratio to
         ! in-cloud water path involves the pressure difference in
@@ -288,5 +288,5 @@
 
     if (config%iverbose >= 4) then
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         write(*,'(a,i0,a,f7.3,a,f7.3)') 'Profile ', jcol, ': shortwave optical depth = ', &
              &  sum(od_sw_cloud(1,:,jcol)*cloud%fraction(jcol,:)), &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_overlap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_overlap.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_overlap.F90	(revision 5158)
@@ -94,5 +94,5 @@
     ! multiply by "factor"
     denominator = 1.0_jprb
-    do jreg = 1,nreg
+    DO jreg = 1,nreg
       op_x_frac_min(jreg) = op(jreg) &
            &  * min(frac_upper(jreg), frac_lower(jreg))
@@ -103,6 +103,6 @@
       factor = 1.0_jprb / denominator
       ! Create the random part of the overlap matrix
-      do jupper = 1,nreg
-        do jlower = 1,nreg
+      DO jupper = 1,nreg
+        DO jlower = 1,nreg
           overlap_matrix(jupper,jlower) = factor &
                &  * (frac_lower(jlower)-op_x_frac_min(jlower)) &
@@ -115,5 +115,5 @@
     
     ! Add on the maximum part of the overlap matrix
-    do jreg = 1,nreg
+    DO jreg = 1,nreg
       overlap_matrix(jreg,jreg) = overlap_matrix(jreg,jreg) &
            &  + op_x_frac_min(jreg)
@@ -368,5 +368,5 @@
 
     ! Loop through each atmospheric column
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! For this column, outer space is treated as one clear-sky
       ! region, so the fractions are assigned as such
@@ -381,5 +381,5 @@
       ! half-level starting at 1 for the top-of-atmosphere, as well
       ! as indexing each level starting at 1 for the top-most level.
-      do jlev = 1,nlev+1
+      DO jlev = 1,nlev+1
         ! Fraction of each region just below the interface
         if (jlev > nlev) then
@@ -426,6 +426,6 @@
 
         ! Convert to directional overlap matrices
-        do jupper = 1,nreg
-          do jlower = 1,nreg
+        DO jupper = 1,nreg
+          DO jlower = 1,nreg
             if (frac_lower(jlower) >= frac_threshold) then
               u_matrix(jupper,jlower,jlev,jcol) = overlap_matrix(jupper,jlower) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_pdf_sampler.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_pdf_sampler.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_pdf_sampler.F90	(revision 5158)
@@ -189,5 +189,5 @@
     real(jprb) :: wfsd, wcdf
 
-    do jsamp = 1,nsamp
+    DO jsamp = 1,nsamp
       if (mask(jsamp)) then
         ! Bilinear interpolation with bounds
@@ -237,6 +237,6 @@
     real(jprb) :: wfsd, wcdf
 
-    do jz = 1,nz
-      do jg = 1,ng
+    DO jz = 1,nz
+      DO jg = 1,ng
         if (cdf(jg, jz) > 0.0_jprb) then
           ! Bilinear interpolation with bounds
@@ -291,9 +291,9 @@
     real(jprb) :: wfsd, wcdf
 
-    do jz = 1,nz
+    DO jz = 1,nz
 
       if (mask(jz)) then
         
-        do jg = 1,ng
+        DO jg = 1,ng
           if (cdf(jg, jz) > 0.0_jprb) then
             ! Bilinear interpolation with bounds
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_random_numbers.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_random_numbers.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_random_numbers.F90	(revision 5158)
@@ -165,5 +165,5 @@
       ! populate the state
       rseed = real(abs(this%iseed),jprd)
-      do jstr = 1,this%nmaxstreams
+      DO jstr = 1,this%nmaxstreams
         ! Note that nint returns an integer of type jpib (8-byte)
         ! which may be converted to double if that is the type of
@@ -174,5 +174,5 @@
 
       ! One warmup of the C++ minstd_rand algorithm
-      do jstr = 1,this%nmaxstreams
+      DO jstr = 1,this%nmaxstreams
         this%istate(jstr) = mod(IMinstdA * this%istate(jstr), IMinstdM)
       end do
@@ -182,5 +182,5 @@
       call random_seed(size=nseed)
       allocate(iseednative(nseed))
-      do jseed = 1,nseed
+      DO jseed = 1,nseed
         iseednative(jseed) = this%iseed + jseed - 1
       end do
@@ -208,5 +208,5 @@
 
       ! C++ minstd_rand algorithm
-      do i = 1, imax
+      DO i = 1, imax
         ! The following calculation is computed entirely with 8-byte
         ! numbers (whether real or integer)
@@ -243,7 +243,7 @@
 
       ! C++ minstd_ran algorithm
-      do jblock = 1,size(randnum,2)
+      DO jblock = 1,size(randnum,2)
         ! These lines should be vectorizable
-        do i = 1, imax
+        DO i = 1, imax
           this%istate(i) = mod(IMinstdA * this%istate(i), IMinstdM)
           randnum(i,jblock) = IMinstdScale * this%istate(i)
@@ -278,8 +278,8 @@
 
       ! C++ minstd_ran algorithm
-      do jblock = 1,size(randnum,2)
+      DO jblock = 1,size(randnum,2)
         if (mask(jblock)) then
           ! These lines should be vectorizable
-          do i = 1, imax
+          DO i = 1, imax
             this%istate(i) = mod(IMinstdA * this%istate(i), IMinstdM)
             randnum(i,jblock) = IMinstdScale * this%istate(i)
@@ -290,5 +290,5 @@
     else
 
-      do jblock = 1,size(randnum,2)
+      DO jblock = 1,size(randnum,2)
         if (mask(jblock)) then
           call random_number(randnum(:,jblock))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_regions.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_regions.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_regions.F90	(revision 5158)
@@ -122,6 +122,6 @@
         ! sigma, then the 16th percentile of the lognormal is very
         ! close to exp(mu-sigma).
-        do jcol = istartcol,iendcol
-          do jlev = 1,nlev
+        DO jcol = istartcol,iendcol
+          DO jlev = 1,nlev
             if (cloud_fraction(jcol,jlev) < frac_threshold) then
               reg_fracs(1,jlev,jcol)       = 1.0_jprb
@@ -145,6 +145,6 @@
         ! cover of the denser region - see region_fractions routine
         ! below
-        do jcol = istartcol,iendcol
-          do jlev = 1,nlev
+        DO jcol = istartcol,iendcol
+          DO jlev = 1,nlev
             if (cloud_fraction(jcol,jlev) < frac_threshold) then
               reg_fracs(1,jlev,jcol)    = 1.0_jprb
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_save.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_save.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_save.F90	(revision 5158)
@@ -868,5 +868,5 @@
          &   dim2_name="column", dim1_name="level", &
          &   units_str="1", long_name="Ozone mass mixing ratio")
-    do jgas = 1,NMaxGases
+    DO jgas = 1,NMaxGases
       if (gas%is_present(jgas) .and. jgas /= IH2O .and. jgas /= IO3) then
         write(var_name,'(a,a)') trim(GasLowerCaseName(jgas)), '_vmr'
@@ -959,5 +959,5 @@
     call gas%get(IO3, IMassMixingRatio, mixing_ratio)
     call out_file%put("o3_mmr", mixing_ratio)
-    do jgas = 1,NMaxGases
+    DO jgas = 1,NMaxGases
       if (gas%is_present(jgas) .and. jgas /= IH2O .and. jgas /= IO3) then
         write(var_name,'(a,a)') trim(GasLowerCaseName(jgas)), '_vmr'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_single_level.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_single_level.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad.v1.5.1/radiation_single_level.F90	(revision 5158)
@@ -196,5 +196,5 @@
     end if
 
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       this%iseed(jcol) = jcol
     end do
@@ -265,8 +265,8 @@
 
         sw_albedo_band = 0.0_jprb
-        do jband = 1,config%n_bands_sw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_sw
+          DO jalbedoband = 1,nalbedoband
             if (config%sw_albedo_weights(jalbedoband,jband) /= 0.0_jprb) then
-              do jcol = istartcol,iendcol
+              DO jcol = istartcol,iendcol
                 sw_albedo_band(jcol,jband) &
                     &  = sw_albedo_band(jcol,jband) & 
@@ -282,6 +282,6 @@
         if (allocated(this%sw_albedo_direct)) then
           sw_albedo_band = 0.0_jprb
-          do jband = 1,config%n_bands_sw
-            do jalbedoband = 1,nalbedoband
+          DO jband = 1,config%n_bands_sw
+            DO jalbedoband = 1,nalbedoband
               if (config%sw_albedo_weights(jalbedoband,jband) /= 0.0_jprb) then
                 sw_albedo_band(istartcol:iendcol,jband) &
@@ -327,8 +327,8 @@
         end if
         lw_albedo_band = 0.0_jprb
-        do jband = 1,config%n_bands_lw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_lw
+          DO jalbedoband = 1,nalbedoband
             if (config%lw_emiss_weights(jalbedoband,jband) /= 0.0_jprb) then
-              do jcol = istartcol,iendcol
+              DO jcol = istartcol,iendcol
                 lw_albedo_band(jcol,jband) &
                     &  = lw_albedo_band(jcol,jband) & 
